osgDB::RegisterImageProcessorProxy< T > Class Template Reference

`#include <Registry>`

## Public Member Functions

| RegisterImageProcessorProxy ()
| ~RegisterImageProcessorProxy ()
T * | get ()

## Protected Attributes

osg::ref_ptr< T > | _rw

## Detailed Description

template<class T>
class osgDB::RegisterImageProcessorProxy< T >

Proxy class for automatic registration of reader/writers with the Registry.

## Constructor & Destructor Documentation

## RegisterImageProcessorProxy()

template<class T>

osgDB::RegisterImageProcessorProxy< T >::RegisterImageProcessorProxy | ( |  | ) |

inline

References _rw, osgDB::Registry::addImageProcessor(), and osgDB::Registry::instance().

## ~RegisterImageProcessorProxy()

template<class T>

osgDB::RegisterImageProcessorProxy< T >::~RegisterImageProcessorProxy | ( |  | ) |

inline

References _rw, osgDB::Registry::instance(), and osgDB::Registry::removeImageProcessor().

## Member Function Documentation

## get()

template<class T>

T * osgDB::RegisterImageProcessorProxy< T >::get | ( |  | ) |

inline

References _rw.

## Member Data Documentation

## _rw

template<class T>

osg::ref_ptr<T> osgDB::RegisterImageProcessorProxy< T >::_rw

protected

Referenced by get(), RegisterImageProcessorProxy(), and ~RegisterImageProcessorProxy().

The documentation for this class was generated from the following file:

- osgDB/Registry